import { ref } from 'vue';
import { defineStore } from 'pinia';

export const useDrawPointStore = defineStore('drawPointStore', () => {
  //当前绘制点位列表
  const currentDrawPointList = ref([]);

  //是否开始标会
  const drawStartStatus = ref(false);

  //信息框当前展示点位index
  const infoBoxIndex = ref(0);

  //修改当前展示点位index
  const setInfoBoxIndex = (index) => {
    infoBoxIndex.value = index;
  };

  //修改是否开始绘制状态
  const setDrawStartStatus = (value) => {
    drawStartStatus.value = value;
  };

  const setCurrentDrawPointList = (point) => {
    currentDrawPointList.value.push(point);
  };

  const modifyCurrentDrawPointList = (key, value) => {
    if (currentDrawPointList.value[infoBoxIndex.value]) {
      currentDrawPointList.value[infoBoxIndex.value][key] = value;
    }
  };
  return {
    currentDrawPointList,
    infoBoxIndex,
    setInfoBoxIndex,
    drawStartStatus,
    setCurrentDrawPointList,
    setDrawStartStatus,
    modifyCurrentDrawPointList
  };
});
